org.apache.jmeter.gui.action

## Class AboutCommand

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.AboutCommand

- All Implemented Interfaces:
    Command

      public class AboutCommand
      extends AbstractAction

  About Command. It may be extended in the future to add a list of installed protocols, config options, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AboutCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAction(java.awt.event.ActionEvent e)` Handle the "about" action by displaying the "About Apache JMeter..."
    `java.util.Set<java.lang.String>` | `getActionNames()` Provide the list of Action names that are available in this command.

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AboutCommand

          public AboutCommand()

  - ### Method Detail

    - #### doAction

          public void doAction(java.awt.event.ActionEvent e)

      Handle the "about" action by displaying the "About Apache JMeter..." dialog box. The Dialog Box is NOT modal, because those should be avoided if at all possible.
      Specified by:
        `doAction` in interface `Command`
      Overrides:
        `doAction` in class `AbstractAction`
      See Also:
        `Command.doAction(ActionEvent)`

    - #### getActionNames

          public java.util.Set<java.lang.String> getActionNames()

      Provide the list of Action names that are available in this command.

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.